<script lang="ts" setup>
	import { RouterView } from "vue-router"
	import NavBar from "@/components/NavBar.vue"
</script>

<template>
	<header>
		<img
			alt="Vue logo"
			class="logo"
			height="125"
			src="@/assets/logo.svg"
			width="125" />

		<div class="wrapper">
			<NavBar />
		</div>
	</header>
	<main>
		<RouterView />
	</main>
</template>

<style scoped>
	header {
		line-height: 1.5;
		max-height: 100vh;
	}

	.logo {
		display: block;
		margin: 0 auto 2rem;
	}

	main {
		margin-top: 5vh;
	}

	@media (min-width: 1024px) {
		header {
			display: flex;
			place-items: center;
			padding-right: calc(var(--section-gap) / 2);
		}

		.logo {
			margin: 0 2rem 0 0;
		}

		header .wrapper {
			display: flex;
			place-items: flex-start;
			flex-wrap: wrap;
		}
	}
</style>
